Subject: Re: [msysGit] Re: Windows binaries for qgit 2.0

From: Abdelrazak Younes <[email-masked]>
Date: Mon, 17 Dec 2007 12:07:56 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Mon, 17 Dec 2007, Abdelrazak Younes wrote:
> 
>> Marco Costalba wrote:
>>> On Dec 16, 2007 12:11 PM, Abdelrazak Younes <[email-masked]> wrote:
>>>> Actually you might prefer to just use the LyX dependencies package that
>>>> we provide for Windows developers, it contains Qt. I paste here the
>>>> relevant part of our 'INSTALL.Win32':
>>>>
>>> Thanks, I've tried it but without success because I need MSVC 2005
>>> installed, and currently is not.
>> Right.
>>
>>> Anyhow for now I have produced a version with mingw that seems more or
>>> less to work, when I have a bit of time I will install MSVC 2005 and
>>> try if with that compiler is better...
>> I would like to help you with that but I can't retrieve the repository:
>>
>> $ git clone git://git.kernel.org/pub/scm/qgit/qgit4.git qgit4.git
>> Initialized empty Git repository in d:/devel/git/qgit4/qgit4.git/.git/
>> git.kernel.org[0: 130.239.17.7]: errno=Invalid argument
>> git.kernel.org[1: 199.6.1.166]: errno=Bad file descriptor
>> git.kernel.org[2: 204.152.191.8]: errno=Bad file descriptor
>> git.kernel.org[3: 204.152.191.40]: errno=Bad file descriptor
>> fatal: unable to connect a socket (Bad file descriptor)
>> fetch-pack from 'git://git.kernel.org/pub/scm/qgit/qgit4.git' failed.
>>
>> $ git clone http://git.kernel.org/pub/scm/qgit/qgit4.git qgit4.git
>> Initialized empty Git repository in d:/devel/git/qgit4/qgit4.git/.git/
>> Cannot get remote repository information.
>> Perhaps git-update-server-info needs to be run there?
>>
>> $ git --version
>> git version 1.5.3.6.1791.gfd264
>>
>> 'git clone ssh://...' seems to work but I guess I need a login and password?
>>
>> Maybe I am doing something wrong here? Sorry, my first time ever with git...
>>
>> Abdel.
>>
>> PS: Sorry for the cross posting but I guess this issue is maybe of
>> interest to msysgit people.
> 
> Why would anything that has to do with MSVC2005 be interesting to msysGit?  
> Note the "msys" part of "msysGit".

Sorry, I meant the error I am facing trying to clone the qgit 
repository. MSVC2005 has of course nothing to do with MSYS (while one 
could imagine that MSys and for the matter git could be compiled with it 
instead of mingw).

> 
> FWIW a member of our team works on compiling/including qgit into msysGit.  
> But definitely not using closed-source compilers.  I would violently 
> oppose that.

Noted. I didn't meant to start a debate here.

Abdel.